Index: code/branches/presentation2/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/presentation2/data/levels/presentationHS09b.oxw	(revision 6342)
+++ code/branches/presentation2/data/levels/presentationHS09b.oxw	(revision 6345)
@@ -10,4 +10,6 @@
   include("templates/spaceship_HXY.oxt")
   include("templates/spaceship_Transporter.oxt")
+  include("templates/spaceship_HXY_SL.oxt")
+  include("templates/spaceship_Transporter_SL.oxt")
 ?>
 
@@ -15,4 +17,5 @@
  name         = "Sample"
  description  = "Just a few tests"
+ gametype     = TeamDeathmatch
 >
   <Scene
@@ -22,5 +25,5 @@
 
     
-    	<AmbientSound ambientSource="Mars.ogg" loop="true" play="true" />
+<AmbientSound ambientSource="Mars.ogg" loop="true" play="true" />
 
    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
@@ -33,10 +36,10 @@
 	return table.getn(elements)
    end
-   for i = 1, 100, 1 
+   for i = 1, 50, 1 
    do
-   x = math.random() * 200  + (i) * 200
-   y = math.random() * 3000 - 1500
-   z = math.random() * 3000 - 1500 + (i-100) * 10
-   s = math.random() * 100 + 50
+   x = math.random() * 2000  + 4000
+   y = math.random() * 4000 - 2000
+   z = math.random() * 2000 - 1000
+   s = math.random() * 100
    e = math.floor(math.random()*elements.length()+1)
    ?>
@@ -55,9 +58,9 @@
 
 <?lua
-for i = 1, 200, 1 
-do
-x = math.random() * 100 + i*100
-y = math.random() * 3000 - 1500
-z = math.random() * 3000 - 1500 + (i-100) * 10
+for i = 1, 50, 1 
+do
+   x = math.random() * 2000  + 4000
+   y = math.random() * 4000 - 2000
+   z = math.random() * 2000 - 1000
 ?>
 
@@ -93,15 +96,15 @@
 	?>
 <?lua
-for i = 1,5, 1 
-do
-?>
-    <SpaceShip position="2000,0,0" >
+for i = 1,25, 1 
+do
+?>
+    <SpaceShip position="5000,0,<?lua print(i*50 - 150) ?>" >
       <templates>
-        <Template link=spaceshipHXY />
+        <Template link=spaceshipHXYSL />
       </templates>
       <controller>
-	<WaypointPatrolController name=HXY target=pirate alertnessradius=1000 team=0 active=true>
+	<WaypointPatrolController alertnessradius=1000 team=0 active=true>
           <waypoints>
-            <StaticEntity position="0,0,0" />
+            <StaticEntity position="5000,<?lua print(math.random()*50)?> ,<?lua print(i*50 -150) ?>" />
           </waypoints>
         </WaypointPatrolController>
@@ -111,16 +114,123 @@
 end
 ?>
-<SpaceShip position="2000,0,0" >
+<SpaceShip position="5000,100,100" >
       <templates>
-        <Template link=spaceshipTransporter />
+        <Template link=spaceshipTransporterSL />
       </templates>
       <controller>
-	<WaypointPatrolController name=ghost target=pirate alertnessradius=1000 team=0 active=true>
+	<WaypointPatrolController name=pirate  target=pirate alertnessradius=1000 team=0 active=false>
           <waypoints>
-            <StaticEntity position="0,0,0" />
+            <StaticEntity position="5000,100,1100" />
           </waypoints>
         </WaypointPatrolController>
       </controller>
 </SpaceShip>
+    <Destroyer
+        position          = "-5000,100 ,100"
+        collisionType     = dynamic
+        mass              = 100000
+        angularDamping    = 0.9999999
+        health            = 1000
+        maxhealth         = 1000
+        initialhealth     = 1000
+    >
+        <controller>
+          <WaypointPatrolController team=1 />
+        </controller>
+        <attached>
+            <Model mesh="Carrier.mesh" scale="5" />
+            <Backlight
+                mainstate=activity
+                active=false
+                scale=0.4
+                name=bltest
+                position=" 7.6, 0, 6"
+                colour="0.2, 0.65, 1.0, 1.0"
+                width=15
+                length=1500
+                lifetime=2
+                elements=50
+                trailmaterial="Trail/backlighttrail"
+                turnontime=1
+                turnofftime=1
+                material="Flares/ThrusterFlare1"
+            />
+            <?lua for i=0,8,1 do ?>
+                <BlinkingBillboard
+                    position="<?lua print(200-270/8*i)?> ,15,2"
+                    material="Examples/Flare"
+                    colour="1.0, 0.5, 0.3"
+                    phase=<?lua print(-360/8*i)?>
+                    amplitude=0.1
+                    frequency=0.5
+                    quadratic=1
+                />
+
+                <BlinkingBillboard
+                    position="<?lua print(200-270/8*i)?>,-15,2"
+                    material="Examples/Flare"
+                    colour="1.0, 0.5, 0.3"
+                    phase=<?lua print(-360/8*i)?>
+                    amplitude=0.1
+                    frequency=0.5
+                    quadratic=1
+                />
+            <?lua end ?>
+
+            <Backlight
+                scale=1
+                position=" 169, 75, -15"
+                colour="1, 0.85, 0.5, 0.5"
+                width=40
+                length=1000
+                lifetime=5
+                elements=15
+                trailmaterial="Trail/backlighttrail"
+                material="Examples/Flare"
+            />
+            <Backlight
+                scale=1
+                position=" 169, -75, -15"
+                colour="1, 0.85, 0.5, 0.5"
+                width=40
+                length=1000
+                lifetime=5
+                elements=15
+                trailmaterial="Trail/backlighttrail"
+                material="Examples/Flare" />
+        </attached>
+        <collisionShapes>
+            <BoxCollisionShape position="70,0,-25"      halfExtents="150, 50, 25" />
+            <BoxCollisionShape position="95,75,-16"     halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="95,-75,-16"    halfExtents="70, 10, 12" />
+            <BoxCollisionShape position="77,47,30"      halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,-47,30"     halfExtents="110, 2, 30" />
+            <BoxCollisionShape position="77,0,50"       halfExtents="110, 45, 6" />
+            <BoxCollisionShape position="167,0,70"      halfExtents="17, 20, 20" />
+        </collisionShapes>
+    </Destroyer>
+
+
+<?lua
+for i = 1,25, 1 
+do
+?>
+    <SpaceShip position="-5000,0,<?lua print(i*50 - 150) ?>" >
+      <templates>
+        <Template link=spaceshipGhost />
+      </templates>
+      <controller>
+	<WaypointPatrolController alertnessradius=1000 team=0 active=true>
+          <waypoints>
+            <StaticEntity position="-5000,<?lua print(math.random()*50)?> ,<?lua print(i*50 -150) ?>" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+<?lua 
+end
+?>
+
+
 <AmbientSound ambientSource="Earth.ogg" loop="true" play="false">
        <events>
@@ -131,5 +241,5 @@
     </AmbientSound>
 
-    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipHXY  />
+    <SpawnPoint position="0,0,5000" spawnclass=SpaceShip pawndesign=spaceshipassff  team=0/>
   </Scene>
 </Level>
